TWR T windows api WRapper

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes
BaseDialog Class Reference
Inheritance diagram for BaseDialog:

List of all members.

## Public Member Functions
| BaseDialog ()
| BaseDialog (HWND parent, int resource)
virtual | ‾BaseDialog ()
INT_PTR | showModal ()
HWND | showModeless ()
INT_PTR CALLBACK | dialogProc (HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
void | setParent (HWND parent)
TwrWnd * | GetDlgItem (int item)
HWND | GetDlgItemRaw (int item)
virtual void | UpdateData (bool toObj)
Public Member Functions inherited from TwrWnd
| TwrWnd ()
| TwrWnd (HWND newWnd)
virtual | ‾TwrWnd ()
BOOL | UpdateWindow ()
BOOL | ShowWindow (int nCmdShow)
void | EnableWindow (BOOL enabled)
HWND | getHwnd ()
void | destroyWindow (void)
void | setText (const TCHAR *text)
void | setPoint (int x, int y)
void | setSize (int w, int h)
void | setFont (HFONT font)

## Static Public Member Functions
static INT_PTR CALLBACK | modalDialogProc (HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
static INT_PTR CALLBACK | modelessDialogProc (HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)

## Protected Member Functions
virtual INT_PTR | OnInitDialog ()
virtual INT_PTR | OnCommand (WPARAM wParam)

## Protected Attributes
TCHAR | ddx_buf [512]
Protected Attributes inherited from TwrWnd
HWND | hWnd
tstring | title
int | left
int | top
int | width
int | height

## Static Protected Attributes
static BaseDialog * | modalCallback

## Constructor & Destructor Documentation

BaseDialog::BaseDialog | ( |  | ) |

コンストラクタ

BaseDialog::BaseDialog | ( | HWND | parent,
|  | int | resource
| ) |  |

コンストラクタ

Parameters:

  parent | 親ウインドウハンドル
  resource | ダイアログリソース番号

## Member Function Documentation

INT_PTR CALLBACK BaseDialog::dialogProc | ( | HWND | hDlg,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  |

ダイアログのダイアログプローシジャ

Parameters:

  hDlg | ダイアログのウインドウハンドル
  message | メッセージ
  wParam | WPARAM
  lParam | LPARAM

Returns:
  処理結果

TwrWnd * BaseDialog::GetDlgItem | ( | int | item | ) |

ダイアログリソース上のウインドウを取得します。

Parameters:

  item | リソースID

Returns:
  ダイアログ上のオブジェクト

HWND BaseDialog::GetDlgItemRaw | ( | int | item | ) |

ダイアログリソース上のウインドウハンドルを取得します。

Parameters:

  リソースID |

Returns:
  ダイアログ上のウインドウのハンドル

INT_PTR CALLBACK BaseDialog::modalDialogProc | ( | HWND | hDlg,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  |
| static

モーダルダイアログのダイアログプローシジャ

Parameters:

  hDlg | ダイアログのウインドウハンドル
  message | メッセージ
  wParam | WPARAM
  lParam | LPARAM

Returns:
  処理結果

INT_PTR CALLBACK BaseDialog::modelessDialogProc | ( | HWND | hDlg,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  |
| static

モードレスダイアログのダイアログプローシジャ

Parameters:

  hDlg | ダイアログのウインドウハンドル
  message | メッセージ
  wParam | WPARAM
  lParam | LPARAM

Returns:
  処理結果

INT_PTR BaseDialog::OnCommand | ( | WPARAM | wParam | ) |
| protected virtual

ダイアログ操作が行われた時に呼び出されます。

Returns:
  処理結果

Reimplemented in AboutDlg.

INT_PTR BaseDialog::OnInitDialog | ( |  | ) |
| protected virtual

ダイアログの初期化時に呼び出されます。

Returns:
  処理結果

Reimplemented in DialogAppliBase.

INT_PTR BaseDialog::showModal | ( |  | ) |

モーダルダイアログを表示する。

Returns:
  ダイアログの戻り値

HWND BaseDialog::showModeless | ( |  | ) |

モードレスダイアログを表示する。

Returns:
  ダイアログの戻り値

void BaseDialog::UpdateData | ( | bool | toObj | ) |
| virtual

ダイアログとダイアログオブジェクトのデータの同期をとります。

Parameters:

  toObj | true:ダイアログの内容をオブジェクトに格納する。 false:オブジェクトの内容をダイアログに格納する。

BaseDialog::‾BaseDialog | ( |  | ) |
| virtual

デストラクタ

The documentation for this class was generated from the following files:

- WindowSample/TWR/BaseDialog.h
- WindowSample/TWR/BaseDialog.cpp